%global modname yakut

%define name yakut
%define version 0.13.0
%define release 1

Summary: Simple CLI tool for diagnostics and debugging of Cyphal networks.
Name: python3-%{name}
Version: %{version}
Release: %{release}
Source0: %{modname}-%{version}.tar.gz
License: MIT
Group: Development/Libraries
BuildRoot: %{_tmppath}/%{modname}-%{version}-%{release}-buildroot
Prefix: %{_prefix}
BuildArch: noarch
Vendor: OpenCyphal <maintainers@opencyphal.org>
Url: https://opencyphal.org
BuildRequires: python3-devel python3-setuptools

%?python_enable_dependency_generator

%description

Yakút is a simple cross-platform command-line interface
(CLI) tool for diagnostics and debugging of
[Cyphal](https://opencyphal.org) networks. By virtue of being based on
[PyCyphal](https://github.com/OpenCyphal/pycyphal), Yakut supports all
Cyphal transports (UDP, serial, CAN, ...) and is compatible with all
major features of the protocol. It is designed to be usable with
GNU/Linux, Windows, and macOS.


%prep
%autosetup -n %{modname}-%{version}

%build
%py3_build

%install
%py3_install

%files -n %{name}
%doc docs/*
%doc README.md
%license LICENSE
%{_bindir}/yakut
%{_bindir}/y
%{python3_sitelib}/%{modname}/
%{python3_sitelib}/%{modname}-%{version}*
